package javax.swing.plaf.synth;

import javax.swing.JPopupMenu;
import java.awt.Dimension;
import java.awt.Container;
import javax.swing.plaf.basic.DefaultMenuLayout;

class SynthMenuLayout extends DefaultMenuLayout
{
    public SynthMenuLayout(Container target, int axis) {
        super(target, axis);
    }
    
    @Override
    public Dimension preferredLayoutSize(Container target) {
        if ((target instanceof JPopupMenu)) {
            ((JPopupMenu)target).putClientProperty(SynthMenuItemLayoutHelper.MAX_ACC_OR_ARROW_WIDTH, null);
        }
        return super.preferredLayoutSize(target);
    }
}
